<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT op.id as idOperacion, pr.id, ag.NombreAreaGerenciaOperaciones,op.FechaRegistroOperacion, op.Campana,op.Reuso, pr.TipoGranja, ts.TSNombre, g.GNombre, op.Estado FROM areagerenciaoperaciones ag INNER JOIN programa pr ON ag.IdAreaGerenciaOperaciones = pr.IdAreaGerenciaOperaciones INNER JOIN granja g ON pr.IdGranja = g.IdGranja INNER JOIN tiposervicio ts ON pr.IdTipoServicio = ts.IdTipoServicio INNER JOIN operacion op ON pr.id = op.IdPrograma ORDER BY `idOperacion` DESC");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>